## wf-recorder 0.2

=== meson_options.txt ===
option('default_codec', type: 'string', value: 'libx264', description: 'Codec that will be used by default')
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('opencl', type: 'feature', value: 'auto', description: 'Enable OpenCL')

## wf-recorder 0.1

=== debian/changelog ===
wf-recorder (0.1-1) unstable; urgency=medium

  * Initial packaging (Closes: #924342)

 -- Birger Schacht <birger@rantanplan.org>  Tue, 14 May 2019 10:18:57 +0200

=== debian/control ===
Source: wf-recorder
Section: x11
Priority: optional
Maintainer: Birger Schacht <birger@rantanplan.org>
Build-Depends:
 debhelper-compat (= 12),
 meson,
 pkgconf,
 cmake,
 ffmpeg,
 libavutil-dev,
 libavcodec-dev,
 libavformat-dev,
 libswscale-dev,
 libpulse-dev,
 libwayland-dev,
 libx264-dev,
 wayland-protocols
Standards-Version: 4.3.0
Homepage: https://github.com/ammen99/wf-recorder
Vcs-Browser: https://salsa.debian.org/bisco-guest/wf-recorder
Vcs-Git: https://salsa.debian.org/bisco-guest/wf-recorder.git
Rules-Requires-Root: no

Package: wf-recorder
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Utility program for screen recording of wlroots-based compositors
 wf-recorder is a utility program for screen recording of wlroots-based
 compositors (more specifically, those that support wlr-screencopy-v1 and
 xdg-output).

## wf-recorder 0.2

=== debian/changelog ===
wf-recorder (0.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:43 +0100

wf-recorder (0.2-1) unstable; urgency=medium

  * New upstream release
  * d/control
    + Bump standards version to 4.4.1 (no changes required to make
      the package compliant)
    + Move into swaywm-team namespace
  * d/gbp.conf
    + Add file and enable pristine-tar by default

 -- Birger Schacht <birger@rantanplan.org>  Sun, 01 Dec 2019 21:27:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wf-recorder
 Section: x11
 Priority: optional
-Maintainer: Birger Schacht <birger@rantanplan.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Uploaders: Birger Schacht <birger@rantanplan.org>
 Build-Depends:
  debhelper-compat (= 12),
  meson,
@@ -16,10 +17,10 @@
  libwayland-dev,
  libx264-dev,
  wayland-protocols
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/ammen99/wf-recorder
-Vcs-Browser: https://salsa.debian.org/bisco-guest/wf-recorder
-Vcs-Git: https://salsa.debian.org/bisco-guest/wf-recorder.git
+Vcs-Browser: https://salsa.debian.org/swaywm-team/wf-recorder
+Vcs-Git: https://salsa.debian.org/swaywm-team/wf-recorder.git
 Rules-Requires-Root: no
 
 Package: wf-recorder

## wf-recorder 0.2.1

=== debian/changelog ===
wf-recorder (0.2.1-4) unstable; urgency=medium

  * Fix d/watch
  * Bump standards-version to 4.6.0.1 (no changes required)

 -- Birger Schacht <birger@debian.org>  Sat, 06 Nov 2021 18:58:27 +0100

wf-recorder (0.2.1-3) unstable; urgency=medium

  * Repair d/watch file
  * Remove d/gitlab-ci.yml file (will be replaced by repository settings)

 -- Birger Schacht <birger@debian.org>  Sun, 08 Nov 2020 18:01:48 +0100

wf-recorder (0.2.1-2) unstable; urgency=medium

  * Add libavdevice to build-depends to enable v4l2 support (Closes: #966226)
  * Adjust uploader address
  * Bump dh-compat version to 13

 -- Birger Schacht <birger@debian.org>  Sat, 25 Jul 2020 07:54:55 +0200

wf-recorder (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * d/control:
   + Bump standards version to 4.5.0 (no changes required)
   + Add scdoc to Build-Depends to also build manpages
  * d/upstream:
   + Add bug tracking data to metadata file

 -- Birger Schacht <birger@rantanplan.org>  Tue, 14 Apr 2020 10:26:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
-Uploaders: Birger Schacht <birger@rantanplan.org>
+Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  meson,
  pkgconf,
  cmake,
@@ -16,8 +16,10 @@
  libpulse-dev,
  libwayland-dev,
  libx264-dev,
- wayland-protocols
-Standards-Version: 4.4.1
+ libavdevice-dev,
+ wayland-protocols,
+ scdoc
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/ammen99/wf-recorder
 Vcs-Browser: https://salsa.debian.org/swaywm-team/wf-recorder
 Vcs-Git: https://salsa.debian.org/swaywm-team/wf-recorder.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S*)\.tar\.gz/wf-recorder-$1\.tar\.gz/ \
https://github.com/ammen99/wf-recorder/releases .*/archive/refs/tags/v(\d\S*)\.tar\.gz

## wf-recorder 0.3

=== debian/changelog ===
wf-recorder (0.3-1build2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 22:17:36 +0200

wf-recorder (0.3-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:11:21 +0000

wf-recorder (0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1004721)
  * Use gittag mode in d/watch
  * d/copyright: update years and email address

 -- Birger Schacht <birger@debian.org>  Tue, 14 Jun 2022 21:55:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wf-recorder
 Section: x11
 Priority: optional
-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),

## wf-recorder 0.4.1

=== meson_options.txt ===
option('default_codec', type: 'string', value: 'libx264', description: 'Codec that will be used by default')
option('default_audio_codec', type: 'string', value: 'aac', description: 'Audio codec that will be used by default')
option('default_audio_sample_rate', type: 'integer', value: 48000, description: 'Audio sample rate that will be used by default')
option('default_container_format', type: 'string', value: 'mkv', description: 'Container file format that will be used by default')
option('fallback_audio_sample_fmt', type: 'string', value: 's16', description: 'Fallback audio sample format that will be used if wf-recorder cannot determine the sample formats supported by a codec')
option('pulse', type: 'feature', value: 'auto', description: 'Enable Pulseaudio')

=== debian/changelog ===
wf-recorder (0.4.1-3build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:30:00 +0200

wf-recorder (0.4.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Birger Schacht <birger@debian.org>  Mon, 29 Jul 2024 15:57:15 +0200

wf-recorder (0.4.1-2) experimental; urgency=medium

  [Diederik de Haas]
  * Backport patch for ffmpeg 7.0 (Closes: #1072458)

 -- Birger Schacht <birger@debian.org>  Sun, 02 Jun 2024 18:25:50 +0200

wf-recorder (0.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Tue, 05 Sep 2023 16:00:01 +0200

wf-recorder (0.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1015842)
  * Add a debian/gitlab-ci.yml config file
  * d/control:
   + Add libgbm-dev to Build-Depend
   + Bump standards version to 4.6.2 (no changes needed)
  * Bump copyright years in d/copyright
  * Add debian branch to debian/gbp.conf

 -- Birger Schacht <birger@debian.org>  Sun, 27 Aug 2023 15:53:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wf-recorder
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -18,9 +17,10 @@
  libwayland-dev,
  libx264-dev,
  libavdevice-dev,
+ libgbm-dev,
  wayland-protocols,
  scdoc
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ammen99/wf-recorder
 Vcs-Browser: https://salsa.debian.org/swaywm-team/wf-recorder
 Vcs-Git: https://salsa.debian.org/swaywm-team/wf-recorder.git

## wf-recorder 0.5.0

=== debian/changelog ===
wf-recorder (0.5.0-2) unstable; urgency=medium

  * Backport patch that fixes frame-writer for ffmpeg changes
    (Closes: #1086324)

 -- Birger Schacht <birger@debian.org>  Fri, 01 Nov 2024 17:30:10 +0100

wf-recorder (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Drop backported patch for ffmpeg 7.0 support
  * Add new libpipewire-0.3-dev build dependency for pipewire audio capture
  * Add new libdrm-dev build dependency
  * Set required versions of build dependencies
  * Run wrap-and-sort -ast on debian

 -- Birger Schacht <birger@debian.org>  Sat, 24 Aug 2024 16:15:24 +0200

## wf-recorder 0.6.0

=== meson_options.txt ===
option('default_codec', type: 'string', value: 'libx264', description: 'Codec that will be used by default')
option('default_pixel_format', type: 'string', value: '', description: 'Pixel format that will be used by default')
option('default_audio_codec', type: 'string', value: 'aac', description: 'Audio codec that will be used by default')
option('default_audio_sample_rate', type: 'integer', value: 48000, description: 'Audio sample rate that will be used by default')
option('default_container_format', type: 'string', value: 'mkv', description: 'Container file format that will be used by default')
option('fallback_audio_sample_fmt', type: 'string', value: 's16', description: 'Fallback audio sample format that will be used if wf-recorder cannot determine the sample formats supported by a codec')
option('pulse', type: 'feature', value: 'auto', description: 'Enable Pulseaudio')
option('pipewire', type: 'feature', value: 'auto', description: 'Enable PipeWire')
option('default_audio_backend', type: 'combo', choices: ['auto', 'pulse', 'pipewire'], value: 'auto', description: 'Default audio backend')

=== debian/changelog ===
wf-recorder (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * Drop pristine-tar from debian/gbp.conf
  * Drop backported patch for framewriter fix
  * Update debian/watch to version 5 format

 -- Birger Schacht <birger@debian.org>  Tue, 21 Oct 2025 17:21:41 +0200

=== debian/control ===
Source: wf-recorder
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders:
 Birger Schacht <birger@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 ffmpeg,
 libavcodec-dev,
 libavdevice-dev,
 libavformat-dev,
 libavutil-dev,
 libdrm-dev,
 libgbm-dev,
 libpipewire-0.3-dev (>=1.0.5),
 libpulse-dev,
 libswscale-dev,
 libwayland-dev (>= 1.20),
 libx264-dev,
 meson (>=0.54.0),
 pkgconf,
 scdoc,
 wayland-protocols (>= 1.14),
Standards-Version: 4.6.2
Homepage: https://github.com/ammen99/wf-recorder
Vcs-Browser: https://salsa.debian.org/swaywm-team/wf-recorder
Vcs-Git: https://salsa.debian.org/swaywm-team/wf-recorder.git
Rules-Requires-Root: no

Package: wf-recorder
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Utility program for screen recording of wlroots-based compositors
 wf-recorder is a utility program for screen recording of wlroots-based
 compositors (more specifically, those that support wlr-screencopy-v1 and
 xdg-output).

=== debian/watch ===
Version: 5

Source: https://github.com/ammen99/wf-recorder
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
